###########################################
#                                         #
#  Improvements and feedback are welcome  #
#                                         #
#  This file is released under GPL >= 3   #
#                                         #
###########################################


# required stuff
find_package( TQt )
find_package( TDE )

tde_setup_architecture_flags( )

include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)


##### check for gcc visibility support

if( WITH_GCC_VISIBILITY )
  if( NOT UNIX )
    tde_message_fatal( "gcc visibility support was requested, but your system is not *NIX" )
  endif( NOT UNIX )
  set( __KDE_HAVE_GCC_VISIBILITY 1 )
  set( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden")
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden")
endif( WITH_GCC_VISIBILITY )


##### gettext

if( BUILD_TRANSLATIONS )
  include( FindGettext )
  if( GETTEXT_FOUND )
    set( MSGFMT_EXECUTABLE ${GETTEXT_MSGFMT_EXECUTABLE} 
      CACHE FILEPATH "path to msgfmt executable" )
  endif( GETTEXT_FOUND )
  
  if( NOT MSGFMT_EXECUTABLE )
    tde_message_fatal( "msgfmt is required but was not found on your system." )
  endif( NOT MSGFMT_EXECUTABLE )
endif( BUILD_TRANSLATIONS )


##### arts

pkg_search_module( ARTS arts )
if( NOT ARTS_FOUND )
    tde_message_fatal( "aRts is required, but was not found on your system" )
endif( )
